//==============================================================================
// THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES INC. ``AS IS'' AND ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
// DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES INC. BE LIABLE FOR ANY DIRECT,
// INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// YOU ASSUME ANY AND ALL RISK FROM THE USE OF THIS CODE OR SUPPORT FILE.
//
// IT IS THE RESPONSIBILITY OF THE PERSON INTEGRATING THIS CODE INTO AN
// APPLICATION TO ENSURE THAT THE RESULTING APPLICATION PERFORMS AS REQUIRED
// AND IS SAFE.
//
//     Module       : AduCM360.h
//     Description  :
//     Date         : 16. March 2013
//     Version      : v1.00
//     Changelog    : v1.00 Initial
//
// 	Header file for ADUCM360 (Rev A)
//
//==============================================================================
// 
#define          ISER0                                      (*(volatile unsigned long      *) 0xE000E100)

#define          T0BASE                                     (*(volatile unsigned long      *) 0x40000000)
#define          T0BASE_A                                   0x40000000
#define          T0LD                                       (*(volatile unsigned short int *) 0x40000000)
#define          T0LD_A                                     0x40000000
#define          T0VAL                                      (*(volatile unsigned short int *) 0x40000004)
#define          T0VAL_A                                    0x40000004
#define          T0CON                                      (*(volatile unsigned short int *) 0x40000008)
#define          T0CON_A                                    0x40000008
#define          T0CLRI                                     (*(volatile unsigned short int *) 0x4000000C)
#define          T0CLRI_A                                   0x4000000C
#define          T0CAP                                      (*(volatile unsigned short int *) 0x40000010)
#define          T0CAP_A                                    0x40000010
#define          T0STA                                      (*(volatile unsigned short int *) 0x4000001C)
#define          T0STA_A                                    0x4000001C

// 

#define          T1BASE                                     (*(volatile unsigned long      *) 0x40000400)
#define          T1BASE_A                                   0x40000400
#define          T1LD                                       (*(volatile unsigned short int *) 0x40000400)
#define          T1LD_A                                     0x40000400
#define          T1VAL                                      (*(volatile unsigned short int *) 0x40000404)
#define          T1VAL_A                                    0x40000404
#define          T1CON                                      (*(volatile unsigned short int *) 0x40000408)
#define          T1CON_A                                    0x40000408
#define          T1CLRI                                     (*(volatile unsigned short int *) 0x4000040C)
#define          T1CLRI_A                                   0x4000040C
#define          T1CAP                                      (*(volatile unsigned short int *) 0x40000410)
#define          T1CAP_A                                    0x40000410
#define          T1STA                                      (*(volatile unsigned short int *) 0x4000041C)
#define          T1STA_A                                    0x4000041C

// 

#define          PWMBASE                                    (*(volatile unsigned long      *) 0x40001000)
#define          PWMBASE_A                                  0x40001000
#define          PWMCON0                                    (*(volatile unsigned short int *) 0x40001000)
#define          PWMCON0_A                                  0x40001000
#define          PWMCON1                                    (*(volatile unsigned char      *) 0x40001004)
#define          PWMCON1_A                                  0x40001004
#define          PWMCLRI                                    (*(volatile unsigned short int *) 0x40001008)
#define          PWMCLRI_A                                  0x40001008
#define          PWM0COM0                                   (*(volatile unsigned short int *) 0x40001010)
#define          PWM0COM0_A                                 0x40001010
#define          PWM0COM1                                   (*(volatile unsigned short int *) 0x40001014)
#define          PWM0COM1_A                                 0x40001014
#define          PWM0COM2                                   (*(volatile unsigned short int *) 0x40001018)
#define          PWM0COM2_A                                 0x40001018
#define          PWM0LEN                                    (*(volatile unsigned short int *) 0x4000101C)
#define          PWM0LEN_A                                  0x4000101C
#define          PWM1COM0                                   (*(volatile unsigned short int *) 0x40001020)
#define          PWM1COM0_A                                 0x40001020
#define          PWM1COM1                                   (*(volatile unsigned short int *) 0x40001024)
#define          PWM1COM1_A                                 0x40001024
#define          PWM1COM2                                   (*(volatile unsigned short int *) 0x40001028)
#define          PWM1COM2_A                                 0x40001028
#define          PWM1LEN                                    (*(volatile unsigned short int *) 0x4000102C)
#define          PWM1LEN_A                                  0x4000102C
#define          PWM2COM0                                   (*(volatile unsigned short int *) 0x40001030)
#define          PWM2COM0_A                                 0x40001030
#define          PWM2COM1                                   (*(volatile unsigned short int *) 0x40001034)
#define          PWM2COM1_A                                 0x40001034
#define          PWM2COM2                                   (*(volatile unsigned short int *) 0x40001038)
#define          PWM2COM2_A                                 0x40001038
#define          PWM2LEN                                    (*(volatile unsigned short int *) 0x4000103C)
#define          PWM2LEN_A                                  0x4000103C

// 

#define          PWRCTLBASE                                 (*(volatile unsigned long      *) 0x40002400)
#define          PWRCTLBASE_A                               0x40002400
#define          PWRKEY                                     (*(volatile unsigned short int *) 0x40002404)
#define          PWRKEY_A                                   0x40002404
#define          PSMCON                                     (*(volatile unsigned short int *) 0x40002408)
#define          PSMCON_A                                   0x40002408
#define          XOSCCON                                    (*(volatile unsigned short int *) 0x40002410)
#define          XOSCCON_A                                  0x40002410
#define          EI0CFG                                     (*(volatile unsigned short int *) 0x40002420)
#define          EI0CFG_A                                   0x40002420
#define          EI1CFG                                     (*(volatile unsigned short int *) 0x40002424)
#define          EI1CFG_A                                   0x40002424
#define          EICLR0                                     (*(volatile unsigned short int *) 0x40002430)
#define          EICLR0_A                                   0x40002430
#define          NMICLR                                     (*(volatile unsigned char      *) 0x40002434)
#define          NMICLR_A                                   0x40002434
#define          RSTSTA                                     (*(volatile unsigned char      *) 0x40002440)
#define          RSTSTA_A                                   0x40002440

// 

#define          T3BASE                                     (*(volatile unsigned long      *) 0x40002580)
#define          T3BASE_A                                   0x40002580
#define          T3LD                                       (*(volatile unsigned short int *) 0x40002580)
#define          T3LD_A                                     0x40002580
#define          T3VAL                                      (*(volatile unsigned short int *) 0x40002584)
#define          T3VAL_A                                    0x40002584
#define          T3CON                                      (*(volatile unsigned short int *) 0x40002588)
#define          T3CON_A                                    0x40002588
#define          T3CLRI                                     (*(volatile unsigned short int *) 0x4000258C)
#define          T3CLRI_A                                   0x4000258C
#define          T3STA                                      (*(volatile unsigned short int *) 0x40002598)
#define          T3STA_A                                    0x40002598

// 

#define          T2BASE                                     (*(volatile unsigned long      *) 0x40002500)
#define          T2BASE_A                                   0x40002500
#define          T2VALL                                     (*(volatile unsigned short int *) 0x40002500)
#define          T2VALL_A                                   0x40002500
#define          T2VALH                                     (*(volatile unsigned short int *) 0x40002504)
#define          T2VALH_A                                   0x40002504
#define          T2CON                                      (*(volatile unsigned short int *) 0x40002508)
#define          T2CON_A                                    0x40002508
#define          T2WUA                                      (*(volatile unsigned short int *) 0x4000250C)
#define          T2WUA_A                                    0x4000250C
#define          T2WUBL                                     (*(volatile unsigned short int *) 0x40002510)
#define          T2WUBL_A                                   0x40002510
#define          T2WUBH                                     (*(volatile unsigned short int *) 0x40002514)
#define          T2WUBH_A                                   0x40002514
#define          T2WUCL                                     (*(volatile unsigned short int *) 0x40002518)
#define          T2WUCL_A                                   0x40002518
#define          T2WUCH                                     (*(volatile unsigned short int *) 0x4000251C)
#define          T2WUCH_A                                   0x4000251C
#define          T2WUDL                                     (*(volatile unsigned short int *) 0x40002520)
#define          T2WUDL_A                                   0x40002520
#define          T2WUDH                                     (*(volatile unsigned short int *) 0x40002524)
#define          T2WUDH_A                                   0x40002524
#define          T2IEN                                      (*(volatile unsigned short int *) 0x40002528)
#define          T2IEN_A                                    0x40002528
#define          T2STA                                      (*(volatile unsigned short int *) 0x4000252C)
#define          T2STA_A                                    0x4000252C
#define          T2CLRI                                     (*(volatile unsigned short int *) 0x40002530)
#define          T2CLRI_A                                   0x40002530
#define          T2CMPL                                     (*(volatile unsigned short int *) 0x4000253C)
#define          T2CMPL_A                                   0x4000253C
#define          T2CMPH                                     (*(volatile unsigned short int *) 0x40002540)
#define          T2CMPH_A                                   0x40002540

// 

#define          CLKCTLBASE                                 (*(volatile unsigned long      *) 0x40002000)
#define          CLKCTLBASE_A                               0x40002000
#define          CLKCON0                                    (*(volatile unsigned short int *) 0x40002000)
#define          CLKCON0_A                                  0x40002000
#define          CLKCON1                                    (*(volatile unsigned short int *) 0x40002004)
#define          CLKCON1_A                                  0x40002004
#define          CLKDIS                                     (*(volatile unsigned short int *) 0x4000202C)
#define          CLKSYSDIV                                  (*(volatile unsigned short int *) 0x40002444)
// 

#define          FEEBASE                                    (*(volatile unsigned long      *) 0x40002800)
#define          FEEBASE_A                                  0x40002800
#define          FEESTA                                     (*(volatile unsigned short int *) 0x40002800)
#define          FEESTA_A                                   0x40002800
#define          FEECON0                                    (*(volatile unsigned short int *) 0x40002804)
#define          FEECON0_A                                  0x40002804
#define          FEECMD                                     (*(volatile unsigned short int *) 0x40002808)
#define          FEECMD_A                                   0x40002808
#define          FEEADR0L                                   (*(volatile unsigned short int *) 0x40002810)
#define          FEEADR0L_A                                 0x40002810
#define          FEEADR0H                                   (*(volatile unsigned short int *) 0x40002814)
#define          FEEADR0H_A                                 0x40002814
#define          FEEADR1L                                   (*(volatile unsigned short int *) 0x40002818)
#define          FEEADR1L_A                                 0x40002818
#define          FEEADR1H                                   (*(volatile unsigned short int *) 0x4000281C)
#define          FEEADR1H_A                                 0x4000281C
#define          FEEKEY                                     (*(volatile unsigned short int *) 0x40002820)
#define          FEEKEY_A                                   0x40002820
#define          FEEPROL                                    (*(volatile unsigned short int *) 0x40002828)
#define          FEEPROL_A                                  0x40002828
#define          FEEPROH                                    (*(volatile unsigned short int *) 0x4000282C)
#define          FEEPROH_A                                  0x4000282C
#define          FEESIGL                                    (*(volatile unsigned short int *) 0x40002830)
#define          FEESIGL_A                                  0x40002830
#define          FEESIGH                                    (*(volatile unsigned short int *) 0x40002834)
#define          FEESIGH_A                                  0x40002834
#define          FEECON1                                    (*(volatile unsigned short int *) 0x40002838)
#define          FEECON1_A                                  0x40002838
#define          FEEADRAL                                   (*(volatile unsigned short int *) 0x40002848)
#define          FEEADRAL_A                                 0x40002848
#define          FEEADRAH                                   (*(volatile unsigned short int *) 0x4000284C)
#define          FEEADRAH_A                                 0x4000284C
#define          FEEAEN0                                    (*(volatile unsigned short int *) 0x40002878)
#define          FEEAEN0_A                                  0x40002878
#define          FEEAEN1                                    (*(volatile unsigned short int *) 0x4000287C)
#define          FEEAEN1_A                                  0x4000287C

// 

#define          I2CBASE                                    (*(volatile unsigned long      *) 0x40003000)
#define          I2CBASE_A                                  0x40003000
#define          I2CMCON                                    (*(volatile unsigned short int *) 0x40003000)
#define          I2CMCON_A                                  0x40003000
#define          I2CMSTA                                    (*(volatile unsigned short int *) 0x40003004)
#define          I2CMSTA_A                                  0x40003004
#define          I2CMRX                                     (*(volatile unsigned char      *) 0x40003008)
#define          I2CMRX_A                                   0x40003008
#define          I2CMTX                                     (*(volatile unsigned char      *) 0x4000300C)
#define          I2CMTX_A                                   0x4000300C
#define          I2CMRXCNT                                  (*(volatile unsigned short int *) 0x40003010)
#define          I2CMRXCNT_A                                0x40003010
#define          I2CMCRXCNT                                 (*(volatile unsigned short int *) 0x40003014)
#define          I2CMCRXCNT_A                               0x40003014
#define          I2CADR0                                    (*(volatile unsigned char      *) 0x40003018)
#define          I2CADR0_A                                  0x40003018
#define          I2CADR1                                    (*(volatile unsigned char      *) 0x4000301C)
#define          I2CADR1_A                                  0x4000301C
#define          I2CDIV                                     (*(volatile unsigned short int *) 0x40003024)
#define          I2CDIV_A                                   0x40003024
#define          I2CSCON                                    (*(volatile unsigned short int *) 0x40003028)
#define          I2CSCON_A                                  0x40003028
#define          I2CSSTA                                    (*(volatile unsigned short int *) 0x4000302C)
#define          I2CSSTA_A                                  0x4000302C
#define          I2CSRX                                     (*(volatile unsigned short int *) 0x40003030)
#define          I2CSRX_A                                   0x40003030
#define          I2CSTX                                     (*(volatile unsigned short int *) 0x40003034)
#define          I2CSTX_A                                   0x40003034
#define          I2CALT                                     (*(volatile unsigned short int *) 0x40003038)
#define          I2CALT_A                                   0x40003038
#define          I2CID0                                     (*(volatile unsigned short int *) 0x4000303C)
#define          I2CID0_A                                   0x4000303C
#define          I2CID1                                     (*(volatile unsigned short int *) 0x40003040)
#define          I2CID1_A                                   0x40003040
#define          I2CID2                                     (*(volatile unsigned short int *) 0x40003044)
#define          I2CID2_A                                   0x40003044
#define          I2CID3                                     (*(volatile unsigned short int *) 0x40003048)
#define          I2CID3_A                                   0x40003048
#define          I2CFSTA                                    (*(volatile unsigned short int *) 0x4000304C)
#define          I2CFSTA_A                                  0x4000304C

// 

#define          SPI0BASE                                   (*(volatile unsigned long      *) 0x40004000)
#define          SPI0BASE_A                                 0x40004000
#define          SPI0STA                                    (*(volatile unsigned short int *) 0x40004000)
#define          SPI0STA_A                                  0x40004000
#define          SPI0RX                                     (*(volatile unsigned char      *) 0x40004004)
#define          SPI0RX_A                                   0x40004004
#define          SPI0TX                                     (*(volatile unsigned char      *) 0x40004008)
#define          SPI0TX_A                                   0x40004008
#define          SPI0DIV                                    (*(volatile unsigned char      *) 0x4000400C)
#define          SPI0DIV_A                                  0x4000400C
#define          SPI0CON                                    (*(volatile unsigned short int *) 0x40004010)
#define          SPI0CON_A                                  0x40004010
#define          SPI0DMA                                    (*(volatile unsigned short int *) 0x40004014)
#define          SPI0DMA_A                                  0x40004014
#define          SPI0CNT                                    (*(volatile unsigned short int *) 0x40004018)
#define          SPI0CNT_A                                  0x40004018

// 

#define          SPI1BASE                                   (*(volatile unsigned long      *) 0x40004400)
#define          SPI1BASE_A                                 0x40004400
#define          SPI1STA                                    (*(volatile unsigned short int *) 0x40004400)
#define          SPI1STA_A                                  0x40004400
#define          SPI1RX                                     (*(volatile unsigned char      *) 0x40004404)
#define          SPI1RX_A                                   0x40004404
#define          SPI1TX                                     (*(volatile unsigned char      *) 0x40004408)
#define          SPI1TX_A                                   0x40004408
#define          SPI1DIV                                    (*(volatile unsigned char      *) 0x4000440C)
#define          SPI1DIV_A                                  0x4000440C
#define          SPI1CON                                    (*(volatile unsigned short int *) 0x40004410)
#define          SPI1CON_A                                  0x40004410
#define          SPI1DMA                                    (*(volatile unsigned short int *) 0x40004414)
#define          SPI1DMA_A                                  0x40004414
#define          SPI1CNT                                    (*(volatile unsigned short int *) 0x40004418)
#define          SPI1CNT_A                                  0x40004418

// 

#define          COMBASE                                    (*(volatile unsigned long      *) 0x40005000)
#define          COMBASE_A                                  0x40005000
#define          COMTX                                      (*(volatile unsigned char      *) 0x40005000)
#define          COMTX_A                                    0x40005000
#define          COMRX                                      (*(volatile unsigned char      *) 0x40005000)
#define          COMRX_A                                    0x40005000
#define          COMIEN                                     (*(volatile unsigned char      *) 0x40005004)
#define          COMIEN_A                                   0x40005004
#define          COMIIR                                     (*(volatile unsigned char      *) 0x40005008)
#define          COMIIR_A                                   0x40005008
#define          COMLCR                                     (*(volatile unsigned short int *) 0x4000500C)
#define          COMLCR_A                                   0x4000500C
#define          COMMCR                                     (*(volatile unsigned short int *) 0x40005010)
#define          COMMCR_A                                   0x40005010
#define          COMLSR                                     (*(volatile unsigned short int *) 0x40005014)
#define          COMLSR_A                                   0x40005014
#define          COMMSR                                     (*(volatile unsigned short int *) 0x40005018)
#define          COMMSR_A                                   0x40005018
#define          COMFBR                                     (*(volatile unsigned short int *) 0x40005024)
#define          COMFBR_A                                   0x40005024
#define          COMDIV                                     (*(volatile unsigned short int *) 0x40005028)
#define          COMDIV_A                                   0x40005028
#define          COMCON                                     (*(volatile unsigned short int *) 0x40005030)
#define          COMCON_A                                   0x40005030

// 

#define          GPIO0BASE                                  (*(volatile unsigned long      *) 0x40006000)
#define          GPIO0BASE_A                                0x40006000
#define          GP0CON                                     (*(volatile unsigned short int *) 0x40006000)
#define          GP0CON_A                                   0x40006000
#define          GP0OEN                                     (*(volatile unsigned char      *) 0x40006004)
#define          GP0OEN_A                                   0x40006004
#define          GP0PUL                                     (*(volatile unsigned char      *) 0x40006008)
#define          GP0PUL_A                                   0x40006008
#define          GP0OCE                                     (*(volatile unsigned char      *) 0x4000600C)
#define          GP0OCE_A                                   0x4000600C
#define          GP0IN                                      (*(volatile unsigned char      *) 0x40006014)
#define          GP0IN_A                                    0x40006014
#define          GP0OUT                                     (*(volatile unsigned char      *) 0x40006018)
#define          GP0OUT_A                                   0x40006018
#define          GP0SET                                     (*(volatile unsigned char      *) 0x4000601C)
#define          GP0SET_A                                   0x4000601C
#define          GP0CLR                                     (*(volatile unsigned char      *) 0x40006020)
#define          GP0CLR_A                                   0x40006020
#define          GP0TGL                                     (*(volatile unsigned char      *) 0x40006024)
#define          GP0TGL_A                                   0x40006024

// 

#define          GPIO1BASE                                  (*(volatile unsigned long      *) 0x40006030)
#define          GPIO1BASE_A                                0x40006030
#define          GP1CON                                     (*(volatile unsigned short int *) 0x40006030)
#define          GP1CON_A                                   0x40006030
#define          GP1OEN                                     (*(volatile unsigned char      *) 0x40006034)
#define          GP1OEN_A                                   0x40006034
#define          GP1PUL                                     (*(volatile unsigned char      *) 0x40006038)
#define          GP1PUL_A                                   0x40006038
#define          GP1OCE                                     (*(volatile unsigned char      *) 0x4000603C)
#define          GP1OCE_A                                   0x4000603C
#define          GP1IN                                      (*(volatile unsigned char      *) 0x40006044)
#define          GP1IN_A                                    0x40006044
#define          GP1OUT                                     (*(volatile unsigned char      *) 0x40006048)
#define          GP1OUT_A                                   0x40006048
#define          GP1SET                                     (*(volatile unsigned char      *) 0x4000604C)
#define          GP1SET_A                                   0x4000604C
#define          GP1CLR                                     (*(volatile unsigned char      *) 0x40006050)
#define          GP1CLR_A                                   0x40006050
#define          GP1TGL                                     (*(volatile unsigned char      *) 0x40006054)
#define          GP1TGL_A                                   0x40006054

// 

#define          GPIO2BASE                                  (*(volatile unsigned long      *) 0x40006060)
#define          GPIO2BASE_A                                0x40006060
#define          GP2CON                                     (*(volatile unsigned short int *) 0x40006060)
#define          GP2CON_A                                   0x40006060
#define          GP2OEN                                     (*(volatile unsigned char      *) 0x40006064)
#define          GP2OEN_A                                   0x40006064
#define          GP2PUL                                     (*(volatile unsigned char      *) 0x40006068)
#define          GP2PUL_A                                   0x40006068
#define          GP2OCE                                     (*(volatile unsigned char      *) 0x4000606C)
#define          GP2OCE_A                                   0x4000606C
#define          GP2IN                                      (*(volatile unsigned char      *) 0x40006074)
#define          GP2IN_A                                    0x40006074
#define          GP2OUT                                     (*(volatile unsigned char      *) 0x40006078)
#define          GP2OUT_A                                   0x40006078
#define          GP2SET                                     (*(volatile unsigned char      *) 0x4000607C)
#define          GP2SET_A                                   0x4000607C
#define          GP2CLR                                     (*(volatile unsigned char      *) 0x40006080)
#define          GP2CLR_A                                   0x40006080
#define          GP2TGL                                     (*(volatile unsigned char      *) 0x40006084)
#define          GP2TGL_A                                   0x40006084
#define          REFCTRL                                    (*(volatile unsigned short int *) 0x40008840)
#define          REFCTRL_A                                  0x40008840
#define          IEXCCON                                    (*(volatile unsigned char      *) 0x40008850)
#define          IEXCCON_A                                  0x40008850
#define          IEXCDAT                                    (*(volatile unsigned char      *) 0x40008854)
#define          IEXCDAT_A                                  0x40008854

// 

#define          UDMABASE                                   (*(volatile unsigned long      *) 0x40010000)
#define          UDMABASE_A                                 0x40010000
#define          DMASTA                                     (*(volatile unsigned long      *) 0x40010000)
#define          DMASTA_A                                   0x40010000
#define          DMACFG                                     (*(volatile unsigned long      *) 0x40010004)
#define          DMACFG_A                                   0x40010004
#define          DMAPDBPTR                                  (*(volatile unsigned long      *) 0x40010008)
#define          DMAPDBPTR_A                                0x40010008
#define          DMAADBPTR                                  (*(volatile unsigned long      *) 0x4001000C)
#define          DMAADBPTR_A                                0x4001000C
#define          DMAWORSTA                                  (*(volatile unsigned long      *) 0x40010010)
#define          DMAWORSTA_A                                0x40010010
#define          DMASWREQ                                   (*(volatile unsigned long      *) 0x40010014)
#define          DMASWREQ_A                                 0x40010014
#define          DMABURSTSET                                (*(volatile unsigned long      *) 0x40010018)
#define          DMABURSTSET_A                              0x40010018
#define          DMABURSTCLR                                (*(volatile unsigned long      *) 0x4001001C)
#define          DMABURSTCLR_A                              0x4001001C
#define          DMARMSKSET                                 (*(volatile unsigned long      *) 0x40010020)
#define          DMARMSKSET_A                               0x40010020
#define          DMARMSKCLR                                 (*(volatile unsigned long      *) 0x40010024)
#define          DMARMSKCLR_A                               0x40010024
#define          DMAENSET                                   (*(volatile unsigned long      *) 0x40010028)
#define          DMAENSET_A                                 0x40010028
#define          DMAENCLR                                   (*(volatile unsigned long      *) 0x4001002C)
#define          DMAENCLR_A                                 0x4001002C
#define          DMAALTSET                                  (*(volatile unsigned long      *) 0x40010030)
#define          DMAALTSET_A                                0x40010030
#define          DMAALTCLR                                  (*(volatile unsigned long      *) 0x40010034)
#define          DMAALTCLR_A                                0x40010034
#define          DMAPRISET                                  (*(volatile unsigned long      *) 0x40010038)
#define          DMAPRISET_A                                0x40010038
#define          DMAPRICLR                                  (*(volatile unsigned long      *) 0x4001003C)
#define          DMAPRICLR_A                                0x4001003C
#define          DMAWORSTA                                  (*(volatile unsigned long      *) 0x40010010)
#define          DMAWORSTA_A                                0x40010010
#define          DMASWREQ                                   (*(volatile unsigned long      *) 0x40010014)
#define          DMASWREQ_A                                 0x40010014
#define          DMABURSTSET                                (*(volatile unsigned long      *) 0x40010018)
#define          DMABURSTSET_A                              0x40010018
#define          DMABURSTCLR                                (*(volatile unsigned long      *) 0x4001001C)
#define          DMABURSTCLR_A                              0x4001001C
#define          DMARMSKSET                                 (*(volatile unsigned long      *) 0x40010020)
#define          DMARMSKSET_A                               0x40010020
#define          DMARMSKCLR                                 (*(volatile unsigned long      *) 0x40010024)
#define          DMARMSKCLR_A                               0x40010024
#define          DMAENSET                                   (*(volatile unsigned long      *) 0x40010028)
#define          DMAENSET_A                                 0x40010028
#define          DMAENCLR                                   (*(volatile unsigned long      *) 0x4001002C)
#define          DMAENCLR_A                                 0x4001002C
#define          DMAALTSET                                  (*(volatile unsigned long      *) 0x40010030)
#define          DMAALTSET_A                                0x40010030
#define          DMAALTCLR                                  (*(volatile unsigned long      *) 0x40010034)
#define          DMAALTCLR_A                                0x40010034
#define          DMAPRISET                                  (*(volatile unsigned long      *) 0x40010038)
#define          DMAPRISET_A                                0x40010038
#define          DMAPRICLR                                  (*(volatile unsigned long      *) 0x4001003C)
#define          DMAPRICLR_A                                0x4001003C
#define          DMAERRCLR                                  (*(volatile unsigned long      *) 0x4001004C)
#define          DMAERRCLR_A                                0x4001004C
#define          DMAPERID4                                  (*(volatile unsigned char      *) 0x40010FD0)
#define          DMAPERID4_A                                0x40010FD0
#define          DMAPERID0                                  (*(volatile unsigned char      *) 0x40010FE0)
#define          DMAPERID0_A                                0x40010FE0
#define          DMAPERID1                                  (*(volatile unsigned char      *) 0x40010FE4)
#define          DMAPERID1_A                                0x40010FE4
#define          DMAPERID2                                  (*(volatile unsigned char      *) 0x40010FE8)
#define          DMAPERID2_A                                0x40010FE8
#define          DMAPERID3                                  (*(volatile unsigned char      *) 0x40010FEC)
#define          DMAPERID3_A                                0x40010FEC
#define          DMAPCELLID0                                (*(volatile unsigned char      *) 0x40010FF0)
#define          DMAPCELLID0_A                              0x40010FF0
#define          DMAPCELLID1                                (*(volatile unsigned char      *) 0x40010FF4)
#define          DMAPCELLID1_A                              0x40010FF4
#define          DMAPCELLID2                                (*(volatile unsigned char      *) 0x40010FF8)
#define          DMAPCELLID2_A                              0x40010FF8
#define          DMAPCELLID3                                (*(volatile unsigned char      *) 0x40010FFC)
#define          DMAPCELLID3_A                              0x40010FFC

// 

#define          NVICBASE                                   (*(volatile unsigned long      *) 0xE000E000)
#define          NVICBASE_A                                 0xE000E000
#define          INTSETE0                                   (*(volatile unsigned long      *) 0xE000E100)
#define          INTSETE0_A                                 0xE000E100
#define          INTSETE1                                   (*(volatile unsigned long      *) 0xE000E104)
#define          INTSETE1_A                                 0xE000E104
#define          INTCLRE0                                   (*(volatile unsigned long      *) 0xE000E180)
#define          INTCLRE0_A                                 0xE000E180
#define          INTCLRE1                                   (*(volatile unsigned long      *) 0xE000E184)
#define          INTCLRE1_A                                 0xE000E184
#define          INTSETP0                                   (*(volatile unsigned long      *) 0xE000E200)
#define          INTSETP0_A                                 0xE000E200
#define          INTSETP1                                   (*(volatile unsigned long      *) 0xE000E204)
#define          INTSETP1_A                                 0xE000E204
#define          INTCLRP0                                   (*(volatile unsigned long      *) 0xE000E280)
#define          INTCLRP0_A                                 0xE000E280
#define          INTCLRP1                                   (*(volatile unsigned long      *) 0xE000E284)
#define          INTCLRP1_A                                 0xE000E284
#define          INTPRI0                                    (*(volatile unsigned long      *) 0xE000E400)
#define          INTPRI0_A                                  0xE000E400
#define          INTPRI1                                    (*(volatile unsigned long      *) 0xE000E404)
#define          INTPRI1_A                                  0xE000E404
#define          INTPRI2                                    (*(volatile unsigned long      *) 0xE000E408)
#define          INTPRI2_A                                  0xE000E408
#define          INTPRI3                                    (*(volatile unsigned long      *) 0xE000E40C)
#define          INTPRI3_A                                  0xE000E40C
#define          INTPRI4                                    (*(volatile unsigned long      *) 0xE000E410)
#define          INTPRI4_A                                  0xE000E410
#define          INTPRI5                                    (*(volatile unsigned long      *) 0xE000E414)
#define          INTPRI5_A                                  0xE000E414
#define          INTPRI6                                    (*(volatile unsigned long      *) 0xE000E418)
#define          INTPRI6_A                                  0xE000E418
#define          INTPRI7                                    (*(volatile unsigned long      *) 0xE000E41C)
#define          INTPRI7_A                                  0xE000E41C
#define          INTPRI8                                    (*(volatile unsigned long      *) 0xE000E420)
#define          INTPRI8_A                                  0xE000E420
#define          INTPRI9                                    (*(volatile unsigned long      *) 0xE000E424)
#define          INTPRI9_A                                  0xE000E424
#define          INTCPID                                    (*(volatile unsigned long      *) 0xE000ED00)
#define          INTCPID_A                                  0xE000ED00
#define          INTCON0                                    (*(volatile unsigned long      *) 0xE000ED10)
#define          INTCON0_A                                  0xE000ED10
#define          INTCON1                                    (*(volatile unsigned long      *) 0xE000ED14)
#define          INTCON1_A                                  0xE000ED14

// 

#define          ADC0BASE                                   (*(volatile unsigned long      *) 0x40030000)
#define          ADC0BASE_A                                 0x40030000
#define          ADC0STA                                    (*(volatile unsigned short int *) 0x40030000)
#define          ADC0STA_A                                  0x40030000
#define          ADC0MSKI                                   (*(volatile unsigned char      *) 0x40030004)
#define          ADC0MSKI_A                                 0x40030004
#define          ADC0CON                                    (*(volatile unsigned long      *) 0x40030008)
#define          ADC0CON_A                                  0x40030008
#define          ADC0OF                                     (*(volatile unsigned short int *) 0x4003000C)
#define          ADC0OF_A                                   0x4003000C
#define          ADC0INTGN                                  (*(volatile unsigned short int *) 0x40030010)
#define          ADC0INTGN_A                                0x40030010
#define          ADC0EXTGN                                  (*(volatile unsigned short int *) 0x40030014)
#define          ADC0EXTGN_A                                0x40030014
#define          ADC0VDDGN                                  (*(volatile unsigned short int *) 0x40030018)
#define          ADC0VDDGN_A                                0x40030018
#define          ADCCFG                                     (*(volatile unsigned short int *) 0x4003001C)
#define          ADCCFG_A                                   0x4003001C
#define          ADC0FLT                                    (*(volatile unsigned short int *) 0x40030020)
#define          ADC0FLT_A                                  0x40030020
#define          ADC0MDE                                    (*(volatile unsigned short int *) 0x40030024)
#define          ADC0MDE_A                                  0x40030024
#define          ADC0RCR                                    (*(volatile unsigned short int *) 0x40030028)
#define          ADC0RCR_A                                  0x40030028
#define          ADC0RCV                                    (*(volatile unsigned short int *) 0x4003002C)
#define          ADC0RCV_A                                  0x4003002C
#define          ADC0TH                                     (*(volatile unsigned short int *) 0x40030030)
#define          ADC0TH_A                                   0x40030030
#define          ADC0THC                                    (*(volatile unsigned short int *) 0x40030034)
#define          ADC0THC_A                                  0x40030034
#define          ADC0THV                                    (*(volatile unsigned short int *) 0x40030038)
#define          ADC0THV_A                                  0x40030038
#define          ADC0ACC                                    (*(volatile unsigned long      *) 0x4003003C)
#define          ADC0ACC_A                                  0x4003003C
#define          ADC0ATH                                    (*(volatile unsigned long      *) 0x40030040)
#define          ADC0ATH_A                                  0x40030040
#define          ADC0PRO                                    (*(volatile unsigned short int *) 0x40030044)
#define          ADC0PRO_A                                  0x40030044
#define          ADC0DAT                                    (*(volatile unsigned long      *) 0x40030048)
#define          ADC0DAT_A                                  0x40030048

// 

#define          ADC1BASE                                   (*(volatile unsigned long      *) 0x40030080)
#define          ADC1BASE_A                                 0x40030080
#define          ADC1STA                                    (*(volatile unsigned short int *) 0x40030080)
#define          ADC1STA_A                                  0x40030080
#define          ADC1MSKI                                   (*(volatile unsigned char      *) 0x40030084)
#define          ADC1MSKI_A                                 0x40030084
#define          ADC1CON                                    (*(volatile unsigned long      *) 0x40030088)
#define          ADC1CON_A                                  0x40030088
#define          ADC1OF                                     (*(volatile unsigned long      *) 0x4003008C)
#define          ADC1OF_A                                   0x4003008C
#define          ADC1INTGN                                  (*(volatile unsigned short int *) 0x40030090)
#define          ADC1INTGN_A                                0x40030090
#define          ADC1EXTGN                                  (*(volatile unsigned short int *) 0x40030094)
#define          ADC1EXTGN_A                                0x40030094
#define          ADC1VDDGN                                  (*(volatile unsigned short int *) 0x40030098)
#define          ADC1VDDGN_A                                0x40030098
#define          ADCCFG1                                    (*(volatile unsigned short int *) 0x4003009C)
#define          ADCCFG1_A                                  0x4003009C
#define          ADC1FLT                                    (*(volatile unsigned short int *) 0x400300A0)
#define          ADC1FLT_A                                  0x400300A0
#define          ADC1MDE                                    (*(volatile unsigned short int *) 0x400300A4)
#define          ADC1MDE_A                                  0x400300A4
#define          ADC1RCR                                    (*(volatile unsigned short int *) 0x400300A8)
#define          ADC1RCR_A                                  0x400300A8
#define          ADC1RCV                                    (*(volatile unsigned short int *) 0x400300AC)
#define          ADC1RCV_A                                  0x400300AC
#define          ADC1TH                                     (*(volatile unsigned short int *) 0x400300B0)
#define          ADC1TH_A                                   0x400300B0
#define          ADC1THC                                    (*(volatile unsigned short int *) 0x400300B4)
#define          ADC1THC_A                                  0x400300B4
#define          ADC1THV                                    (*(volatile unsigned short int *) 0x400300B8)
#define          ADC1THV_A                                  0x400300B8
#define          ADC1ACC                                    (*(volatile unsigned long      *) 0x400300BC)
#define          ADC1ACC_A                                  0x400300BC
#define          ADC1ATH                                    (*(volatile unsigned long      *) 0x400300C0)
#define          ADC1ATH_A                                  0x400300C0
#define          ADC1PRO                                    (*(volatile unsigned short int *) 0x400300C4)
#define          ADC1PRO_A                                  0x400300C4
#define          ADC1DAT                                    (*(volatile unsigned long      *) 0x400300C8)
#define          ADC1DAT_A                                  0x400300C8
#define          ADC1TEMP                                   (*(volatile unsigned long      *) 0x400300DC)
#define          ADC1TEMP_A                                 0x400300DC
#define          DETCON                                     (*(volatile unsigned short int *) 0x400300E0)
#define          DETCON_A                                   0x400300E0
#define          DETSTA                                     (*(volatile unsigned char      *) 0x400300E4)
#define          DETSTA_A                                   0x400300E4
#define          DETTHR                                     (*(volatile unsigned short int *) 0x400300E8)
#define          DETTHR_A                                   0x400300E8
#define          ADC2DAT                                    (*(volatile unsigned long      *) 0x400300EC)
#define          ADC2DAT_A                                  0x400300EC
#define          ADCDMACON                                  (*(volatile unsigned short int *) 0x400300F8)
#define          ADCDMACON_A                                0x400300F8

// 

#define          DACBASE                                    (*(volatile unsigned long      *) 0x40020000)
#define          DACBASE_A                                  0x40020000
#define          DACCON                                     (*(volatile unsigned short int *) 0x40020000)
#define          DACCON_A                                   0x40020000
#define          DACDAT                                     (*(volatile unsigned long      *) 0x40020004)
#define          DACDAT_A                                   0x40020004
